[!]************************************************************************

Include this file, ajaxfunctions.inc, at the top of the page 
(or somehwere above the place where you will be using it).

ajaxfunctions.inc does not need to be customized. 

The associated files contain basic code for you to copy into 
your own templates and customize for your purposes:

index.dna --> contains the visible page code
content.dna, sample.dna, suggest.dna --> the background pages called by the function
sample.db --> the DB that goes with sample.dna

Basic Query sends one variable to the WebDNA page.
Database Entry sends multiple variables.
Suggest sends text as you type and returns database values to choose from.

These ajax functions take 3 variables: 
[funcID] unique name for the WebDNA function
[HotSpot] unique name for the div where the results show up
[dnafile] name of WebDNA file which processes WebDNA

	Copyright 2012 Terry Wilson terry@terryfic.com
************************************************************************[/!]

[!] ********* Basic Query ********* [/!]

[function name=ajaxBasicQuery]
<script type="text/javascript">
var xmlhttp;
function [funcID](str)
{
var url="[dnafile]";
url=url+"?q="+str;
url=url+"&sid="+Math.random();

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=stateChange[funcID];
  xmlhttp.open("GET",url,true);
  xmlhttp.send(null);
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  xmlhttp.onreadystatechange=stateChange[funcID];
  xmlhttp.open("GET",url,true);
  xmlhttp.send();
  }
}

function stateChange[funcID]()
{
if (xmlhttp.readyState==4)
  {
  if (xmlhttp.status==200)
    {
    document.getElementById("[HotSpot]").innerHTML=xmlhttp.responseText;
    }
  else
    {
    alert("There was a problem in the returned data");
    }
  }
}
</script>
[/function]

[!] ********* Database Entry ********* [/!]

[function name=ajaxDBEntry]
<script type="text/javascript">
var xmlhttp;
function [funcID](str)
{
var url="[dnafile]";
url=url+"?q="+str;
url=url+"&sid="+Math.random();

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=stateChange[funcID];
  xmlhttp.open("GET",url,true);
  xmlhttp.send(null);
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  xmlhttp.onreadystatechange=stateChange[funcID];
  xmlhttp.open("GET",url,true);
  xmlhttp.send();
  }
}

function stateChange[funcID]()
{
if (xmlhttp.readyState==4)
  {
  if (xmlhttp.status==200)
    {
    document.getElementById("[HotSpot]").innerHTML=xmlhttp.responseText;
    }
  else
    {
    alert("There was a problem in the returned data");
    }
  }
}
</script>
[/function]

[!] ************ autosuggest ************ [/!]

[function name=ajaxSuggest]
<script type="text/javascript">
var xmlhttp;
function [funcID](str)
{
if (str.length==0)
  { 
  document.getElementById("[HotSpot]").innerHTML="";
  return;
  }

var url="[dnafile]";
url=url+"?q="+str;
url=url+"&sid="+Math.random();

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=stateChange[funcID];
  xmlhttp.open("GET",url,true);
  xmlhttp.send(null);
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  xmlhttp.onreadystatechange=stateChange[funcID];
  xmlhttp.open("GET",url,true);
  xmlhttp.send();
  }
}

function stateChange[funcID]()
{
if (xmlhttp.readyState==4)
  {
  if (xmlhttp.status==200)
    {
    document.getElementById("[HotSpot]").innerHTML=xmlhttp.responseText;
    }
  else
    {
    alert("There was a problem in the returned data");
    }
  }
}

</script>

[/function]

